Skip to main content
PUT
Update Order Group Limit

Authorizations

KALSHI-ACCESS-KEY
string
header
required

Your API key ID

KALSHI-ACCESS-SIGNATURE
string
header
required

RSA-PSS signature of the request

KALSHI-ACCESS-TIMESTAMP
string
header
required

Request timestamp in milliseconds

Path Parameters

order_group_id
string
required

Order group ID

Query Parameters

exchange_index
integer

Identifier for an exchange shard. Defaults to 0 if unspecified. Note: currently only 0 supported.

Example:

0

Body

application/json
contracts_limit
integer<int64>

New maximum number of contracts that can be matched within this group over a rolling 15-second window. Whole contracts only. Provide contracts_limit or contracts_limit_fp; if both provided they must match.

Required range: x >= 1
contracts_limit_fp
string | null

String representation of the new maximum number of contracts that can be matched within this group over a rolling 15-second window. Provide contracts_limit or contracts_limit_fp; if both provided they must match.

Example:

"10.00"

Response

Order group limit updated successfully

An empty response body